import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
const __default__ = {
  name: "LayCol"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    md: null,
    xs: null,
    sm: null,
    lg: null,
    mdOffset: null,
    xsOffset: null,
    smOffset: null,
    lgOffset: null
  },
  setup(__props) {
    const props = __props;
    const classes = computed(() => {
      return [
        props.md ? `layui-col-md${props.md}` : "",
        props.xs ? `layui-col-xs${props.xs}` : "",
        props.sm ? `layui-col-sm${props.sm}` : "",
        props.lg ? `layui-col-lg${props.lg}` : "",
        props.mdOffset ? `layui-col-md-offset${props.mdOffset}` : "",
        props.xsOffset ? `layui-col-xs-offset${props.xsOffset}` : "",
        props.smOffset ? `layui-col-sm-offset${props.smOffset}` : "",
        props.lgOffset ? `layui-col-lg-offset${props.lgOffset}` : ""
      ];
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["layui-col", unref(classes)])
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
